hal_set_constructor(3hal)

NAME

hal_set_constructor - sets the constructor function for this component

SYNTAX

typedef int (*hal_constructor_t)(const char *prefix, const char *arg); int hal_set_constructor(int comp_id, hal_constructor_t constructor)

ARGUMENTS

comp_id A HAL component identifier returned by an earlier call to hal_init.

prefix The prefix to be given to the pins, parameters, and functions in the new instance

arg An argument that may be used by the component to customize this instance.

DESCRIPTION
As an experimental feature in HAL 2.1, components may be constructable. Such a component may create pins and parameters not only at the time the module is loaded, but it may create additional pins and parameters, and functions on demand.

RETURN VALUE
Returns a HAL status code.

SEE ALSO
halcmd(1)